{
===============================================================================
  Copyright (©) 2001. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 01-10-2001
  Versión actual: 1.0.2
  Fecha versión actual: 13-04-2003
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
    01-06-2002    No se guardaban los cambios cuando se aceptaba la situación.

    13-04-2003    Se ha cambiado el componente de fecha.    
===============================================================================
}

unit AceptarRechazarPresupuestoCliente;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RdxFrame, RdxBotones, ExtCtrls, RdxPaneles, RdxBarras, RdxCheckBox,
  StdCtrls, RdxCampos, Configuracion, dxCntner, dxEditor, dxExEdtr, dxEdLib,
  cxControls, cxContainer, cxEdit, cxTextEdit, cxMaskEdit, cxDropDownEdit,
  cxCalendar;

type
  TfrAceptarRechazarPresupuestoCliente = class(TRdxFrame)
    eInformacion: TLabel;
    eFechaDecision: TLabel;
    brOperacion: TRdxBarraInferior;
    bGuardar: TRdxBoton;
    bCancelar: TRdxBoton;
    FechaDecision: TcxDateEdit;
    procedure bGuardarClick(Sender: TObject);
    procedure bCancelarClick(Sender: TObject);
  public
    CodigoPresupuesto : String;
    constructor Create (AOwner : TComponent); override;
  end;

var
  frAceptarRechazarPresupuestoCliente: TfrAceptarRechazarPresupuestoCliente;

implementation

{$R *.DFM}

uses
  TablaPresupuestos, InformePresupuesto, Tipos, BaseDatos,
  RdxEmpresaActiva;

{ TfrEmitirPedidoProveedor }

procedure TfrAceptarRechazarPresupuestoCliente.bGuardarClick(Sender: TObject);
begin
  if Modo = Aceptar then
  begin
    if not dmTablaPresupuestos.AceptarPresupuesto(EmpresaActiva.Codigo, CodigoPresupuesto, StrToDate(FechaDecision.Text)) then
    begin
      dmBaseDatos.Rollback;
      exit;
    end;
  end;

  if Modo = Anular then
  begin
    if not dmTablaPresupuestos.AnularPresupuesto(EmpresaActiva.Codigo, CodigoPresupuesto, StrToDate(FechaDecision.Text)) then
    begin
      exit;
      dmBaseDatos.Rollback;
    end;
  end;

  dmBaseDatos.Commit;
  CloseFrame;
end;

procedure TfrAceptarRechazarPresupuestoCliente.bCancelarClick(Sender: TObject);
begin
  CloseFrame;
end;

constructor TfrAceptarRechazarPresupuestoCliente.Create(AOwner: TComponent);
begin
  inherited;
  FechaDecision.Date := Date; 
end;

end.
